## org.apache.xalan.lib.sql
Class SQLErrorDocument

    java.lang.Object
      org.apache.xml.dtm.ref.DTMDefaultBase
          org.apache.xml.dtm.ref.DTMDefaultBaseTraversers
              org.apache.xml.dtm.ref.DTMDefaultBaseIterators
                  org.apache.xalan.lib.sql.DTMDocument
                      org.apache.xalan.lib.sql.SQLErrorDocument

All Implemented Interfaces:
  DTM

    public class SQLErrorDocument

extends DTMDocument

The SQL Document is the main controlling class the executesa SQL Query

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.xalan.lib.sql.DTMDocument
`DTMDocument.CharacterNodeHandler`

Nested classes/interfaces inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators

`DTMDefaultBaseIterators.AncestorIterator, DTMDefaultBaseIterators.AttributeIterator, DTMDefaultBaseIterators.ChildrenIterator, DTMDefaultBaseIterators.DescendantIterator, DTMDefaultBaseIterators.FollowingIterator, DTMDefaultBaseIterators.FollowingSiblingIterator, DTMDefaultBaseIterators.InternalAxisIteratorBase, DTMDefaultBaseIterators.NamespaceAttributeIterator, DTMDefaultBaseIterators.NamespaceChildrenIterator, DTMDefaultBaseIterators.NamespaceIterator, DTMDefaultBaseIterators.NthDescendantIterator, DTMDefaultBaseIterators.ParentIterator, DTMDefaultBaseIterators.PrecedingIterator, DTMDefaultBaseIterators.PrecedingSiblingIterator, DTMDefaultBaseIterators.RootIterator, DTMDefaultBaseIterators.SingletonIterator, DTMDefaultBaseIterators.TypedAncestorIterator, DTMDefaultBaseIterators.TypedAttributeIterator, DTMDefaultBaseIterators.TypedChildrenIterator, DTMDefaultBaseIterators.TypedDescendantIterator, DTMDefaultBaseIterators.TypedFollowingIterator, DTMDefaultBaseIterators.TypedFollowingSiblingIterator, DTMDefaultBaseIterators.TypedNamespaceIterator, DTMDefaultBaseIterators.TypedPrecedingIterator, DTMDefaultBaseIterators.TypedPrecedingSiblingIterator, DTMDefaultBaseIterators.TypedRootIterator, DTMDefaultBaseIterators.TypedSingletonIterator`

Field Summary

Fields inherited from class org.apache.xml.dtm.ref.DTMDefaultBase
`DEFAULT_BLOCKSIZE, DEFAULT_NUMBLOCKS, DEFAULT_NUMBLOCKS_SMALL, m_mgr, ROOTNODE`

Fields inherited from interface org.apache.xml.dtm.DTM
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NAMESPACE_NODE, NOTATION_NODE, NTYPES, NULL, PROCESSING_INSTRUCTION_NODE, ROOT_NODE, TEXT_NODE`

Constructor Summary
`SQLErrorDocument(DTMManager mgr, int ident, java.lang.Exception error)` Build up an Error Exception with just the Standard Error Information
`SQLErrorDocument(DTMManager mgr, int ident, java.lang.Exception error, java.sql.SQLWarning warning, boolean full)` Build up an Error Exception with just the Standard Error Information
`SQLErrorDocument(DTMManager mgr, int ident, java.sql.SQLException error)` Build up an SQLErrorDocument that includes the basic error information along with the Extended SQL Error information.

Method Summary

Methods inherited from class org.apache.xalan.lib.sql.DTMDocument

`appendChild, appendTextChild, dispatchCharactersEvents, dispatchToEvents, dumpDTM, getAttributeNode, getAxisIterator, getAxisTraverser, getContentHandler, getDeclHandler, getDocument, getDocumentAllDeclarationsProcessed, getDocumentBaseURI, getDocumentEncoding, getDocumentStandalone, getDocumentSystemIdentifier, getDocumentTypeDeclarationPublicIdentifier, getDocumentTypeDeclarationSystemIdentifier, getDocumentVersion, getDTDHandler, getElementById, getEntityResolver, getErrorHandler, getExpandedTypeID, getExpandedTypeID, getFirstAttribute, getFirstChild, getFirstNamespaceNode, getLastChild, getLevel, getLexicalHandler, getLocalName, getLocalNameFromExpandedNameID, getNamespaceFromExpandedNameID, getNamespaceType, getNamespaceURI, getNextAttribute, getNextNamespaceNode, getNextSibling, getNode, getNodeName, getNodeNameX, getNodeType, getNodeValue, getOwnerDocument, getParent, getPrefix, getPreviousSibling, getSourceLocatorFor, getStringValue, getStringValueChunk, getStringValueChunkCount, getTypedAxisIterator, getUnparsedEntityURI, hasChildNodes, isAttributeSpecified, isCharacterElementContentWhitespace, isDocumentAllDeclarationsProcessed, isNodeAfter, isSupported, needsTwoThreads, setDocumentBaseURI, setFeature, setProperty, supportsPreStripping`

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBase
`documentRegistration, documentRelease, dumpDTM, dumpNode, getDocumentRoot, getDTMIDs, getManager, getNodeHandle, getNodeIdent, getTypedFirstChild, getTypedNextSibling, makeNodeHandle, makeNodeIdentity, migrateTo`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLErrorDocument

    public SQLErrorDocument(DTMManager mgr,
                            int ident,
                            java.sql.SQLException error)

  Build up an SQLErrorDocument that includes the basic error information along with the Extended SQL Error information.

  Parameters:
    `mgr` -
    `ident` -
    `error` -

### SQLErrorDocument

    public SQLErrorDocument(DTMManager mgr,
                            int ident,
                            java.lang.Exception error)

  Build up an Error Exception with just the Standard Error Information

  Parameters:
    `mgr` -
    `ident` -
    `error` -

### SQLErrorDocument

    public SQLErrorDocument(DTMManager mgr,
                            int ident,
                            java.lang.Exception error,
                            java.sql.SQLWarning warning,
                            boolean full)

  Build up an Error Exception with just the Standard Error Information

  Parameters:
    `mgr` -
    `ident` -
    `error` -

Copyright © 2005 Apache XML Project. All Rights Reserved.